/* config.h.in.  Generated from configure.ac by autoheader.  */

/* api version */
#undef API_VERSION

/* Determine the block size */
#undef FS_STAT_BLOCK_SIZE

/* Type of block count member in stat struct */
#undef FS_STAT_COUNT_TYPE

/* Function to determine filesystem stats from fd */
#undef FS_STAT_FD

/* Function to determine filesystem stats from filename */
#undef FS_STAT_FN

/* Type of block size member in stat struct */
#undef FS_STAT_SIZE_TYPE

/* Type of second argument to statfs function */
#undef FS_STAT_STRUCT

/* true if config.h was included */
#undef HAVE_CONFIG_H

/* Define to 1 if a SysV or X/Open compatible Curses library is present */
#undef HAVE_CURSES

/* Define to 1 if library supports color (enhanced functions) */
#undef HAVE_CURSES_COLOR

/* Define to 1 if library supports X/Open Enhanced functions */
#undef HAVE_CURSES_ENHANCED

/* Define to 1 if <curses.h> is present */
#undef HAVE_CURSES_H

/* Define to 1 if library supports certain obsolete features */
#undef HAVE_CURSES_OBSOLETE

/* define if the compiler supports basic C++11 syntax */
#undef HAVE_CXX11

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have a functional curl library. */
#undef HAVE_LIBCURL

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if the Ncurses library is present */
#undef HAVE_NCURSES

/* Define to 1 if the NcursesW library is present */
#undef HAVE_NCURSESW

/* Define to 1 if <ncursesw/curses.h> is present */
#undef HAVE_NCURSESW_CURSES_H

/* Define to 1 if <ncursesw.h> is present */
#undef HAVE_NCURSESW_H

/* Define to 1 if <ncurses/curses.h> is present */
#undef HAVE_NCURSES_CURSES_H

/* Define to 1 if <ncurses.h> is present */
#undef HAVE_NCURSES_H

/* Define to 1 if you have the `posix_memalign' function. */
#undef HAVE_POSIX_MEMALIGN

/* Define if you have POSIX threads libraries and header files. */
#undef HAVE_PTHREAD

/* Have PTHREAD_PRIO_INHERIT. */
#undef HAVE_PTHREAD_PRIO_INHERIT

/* Define if compiler supports C++0x features. */
#undef HAVE_STDCXX_0X

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the <sys/mount.h> header file. */
#undef HAVE_SYS_MOUNT_H

/* Define to 1 if you have the <sys/param.h> header file. */
#undef HAVE_SYS_PARAM_H

/* Define to 1 if you have the <sys/statfs.h> header file. */
#undef HAVE_SYS_STATFS_H

/* Define to 1 if you have the <sys/statvfs.h> header file. */
#undef HAVE_SYS_STATVFS_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <sys/vfs.h> header file. */
#undef HAVE_SYS_VFS_H

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Support for XMLRPC-C. */
#undef HAVE_XMLRPC_C

/* Defined if libcurl supports AsynchDNS */
#undef LIBCURL_FEATURE_ASYNCHDNS

/* Defined if libcurl supports IDN */
#undef LIBCURL_FEATURE_IDN

/* Defined if libcurl supports IPv6 */
#undef LIBCURL_FEATURE_IPV6

/* Defined if libcurl supports KRB4 */
#undef LIBCURL_FEATURE_KRB4

/* Defined if libcurl supports libz */
#undef LIBCURL_FEATURE_LIBZ

/* Defined if libcurl supports NTLM */
#undef LIBCURL_FEATURE_NTLM

/* Defined if libcurl supports SSL */
#undef LIBCURL_FEATURE_SSL

/* Defined if libcurl supports SSPI */
#undef LIBCURL_FEATURE_SSPI

/* Defined if libcurl supports DICT */
#undef LIBCURL_PROTOCOL_DICT

/* Defined if libcurl supports FILE */
#undef LIBCURL_PROTOCOL_FILE

/* Defined if libcurl supports FTP */
#undef LIBCURL_PROTOCOL_FTP

/* Defined if libcurl supports FTPS */
#undef LIBCURL_PROTOCOL_FTPS

/* Defined if libcurl supports HTTP */
#undef LIBCURL_PROTOCOL_HTTP

/* Defined if libcurl supports HTTPS */
#undef LIBCURL_PROTOCOL_HTTPS

/* Defined if libcurl supports IMAP */
#undef LIBCURL_PROTOCOL_IMAP

/* Defined if libcurl supports LDAP */
#undef LIBCURL_PROTOCOL_LDAP

/* Defined if libcurl supports POP3 */
#undef LIBCURL_PROTOCOL_POP3

/* Defined if libcurl supports RTSP */
#undef LIBCURL_PROTOCOL_RTSP

/* Defined if libcurl supports SMTP */
#undef LIBCURL_PROTOCOL_SMTP

/* Defined if libcurl supports TELNET */
#undef LIBCURL_PROTOCOL_TELNET

/* Defined if libcurl supports TFTP */
#undef LIBCURL_PROTOCOL_TFTP

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#undef LT_OBJDIR

/* Largest L1 cache size we know of should work on all archs. */
#undef LT_SMP_CACHE_BYTES

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
#undef PTHREAD_CREATE_JOINABLE

/* enable ipv6 stuff */
#undef RAK_USE_INET6

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Define this if the compiler supports the unused attribute */
#undef SUPPORT_ATTRIBUTE_UNUSED

/* Http user agent */
#undef USER_AGENT

/* Use __builtin_popcount. */
#undef USE_BUILTIN_POPCOUNT

/* Use execinfo.h */
#undef USE_EXECINFO

/* Enable extra debugging checks. */
#undef USE_EXTRA_DEBUG

/* Define to 1 if you need to use TR1 containers. */
#undef USE_TR1_LIB

/* defined when we allow the use of fd_set's of any size */
#undef USE_VARIABLE_FDSET

/* Version number of package */
#undef VERSION

/* Enable large inode numbers on Mac OS X 10.5.  */
#ifndef _DARWIN_USE_64_BIT_INODE
# define _DARWIN_USE_64_BIT_INODE 1
#endif

/* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS

/* Define for large files, on AIX-style hosts. */
#undef _LARGE_FILES

/* Null-wrapper if unused attribute is unsupported */
#undef __UNUSED

/* Define curl_free() as free() if our version of curl lacks curl_free. */
#undef curl_free

/* LibTorrent defined cacheline aligned. */
#undef lt_cacheline_aligned

/* TR1 array */
#undef lt_tr1_array

/* TR1 functional */
#undef lt_tr1_functional

/* TR1 memory */
#undef lt_tr1_memory

/* TR1 unordered_map */
#undef lt_tr1_unordered_map


#if USE_TR1_LIB == 1
namespace std { namespace tr1 {} using namespace tr1; }
#endif

